var inquirer = require('inquirer');
const util = require('util');
const render = require('../output');

async function addExtras() {
  const {extras} = await inquirer.prompt({
    type: 'checkbox',
    name: 'extras',
    message: 'Additional Packages required',
    choices: [
      {
        name: 'Encryption',
        value: ['custom-d/eloquent-model-encrypt'],
      },
      {
        name: 'Filament Admin',
        value: ['filament/filament', 'phpsa/filament-password-reveal', 'phpsa/filament-authentication', 'phpsa/filament-dadjokes'],
      },
      {
        name: 'User Module',
        value: 'custom-d/cd-laravel-user',
        checked: true,
      },
      {
        name: 'Contact Form Module',
        value: 'custom-d/cd-contact-form',
        checked: true,
      },
      {
        name: 'FileStore Module',
        value: 'custom-d/simple-file-storage',
        checked: true,
      },
      {
        name: 'User Recovery Module',
        value: 'custom-d/user-security-recovery',
      },
      {
        name: 'Filemaker Library',
        value: 'bluefeather/eloquent-filemaker',
      },
    ],
  });

  console.log(extras);

  this.dependencies.push(...extras.flat());
  this.extras.push(...extras.flat());

  console.log(this.dependencies);
}

module.exports = addExtras;
