const util = require("util");
const exec = util.promisify(require("child_process").exec);

async function addLintConfig() {
  this.addDependencies(
    [
      "@next/eslint-plugin-next",
      "eslint",
      "eslint-config-airbnb",
      "eslint-config-prettier",
      "eslint-config-react-app",
      "eslint-import-resolver-alias",
      "eslint-plugin-import",
      "eslint-plugin-jsx-a11y",
      "eslint-plugin-prettier",
      "eslint-plugin-react",
      "prettier",
    ],
    true
  );

  // copy lint settings...
  await exec(
    `cp -rf ${this.installedPath}/stubs/next/eslint/. ${this.props.sitePath}`
  );

  // aliases...
  await exec(
    `cp -rf ${this.installedPath}/stubs/next/jsconfig.json ${this.props.sitePath}/jsconfig.json`
  );

  await this.updatePackageDotJsonScripts({
    lint: 'eslint --ext .js,.jsx,.ts,.tsx --fix && prettier --write "**/*.{js,jsx,ts,tsx,json,md}"',
  });
}

module.exports = addLintConfig;
