
const util = require("util");
const exec = util.promisify(require("child_process").exec);
var inquirer = require('inquirer');

async function whatNodeVersionDoYouWant() {
  const { version } = await inquirer.prompt({
    type: "number",
    name: "version",
    message: "What NodeJS version do you want? (major version number only)",
    default: 16,
  });

  this.props.nvmrc = version;

  return this.props.nvmrc;
}

async function addNvmrc() {
  // add .nvmrc file...
  await exec(`echo '${this.props.nvmrc}' > ${this.props.sitePath}/.nvmrc`);
}

module.exports = {
  addNvmrc,
  whatNodeVersionDoYouWant,
};
