const util = require("util");
const exec = util.promisify(require("child_process").exec);
var inquirer = require("inquirer");
const { readFile, writeFile } = require("fs");

async function youWantReduxWithThat() {
  const { install } = await inquirer.prompt({
    type: "confirm",
    name: "install",
    message: "You want Redux with that?",
    default: true,
  });

  this.props.redux = install;

  return this.props.redux;
}

async function addRedux() {
  this.addDependencies([
    "react-redux",
    "next-redux-wrapper",
    "redux",
    "redux-devtools-extension",
    "redux-thunk",
  ]);

  this.addDependencies(["@reduxjs/toolkit"], true);

  await exec(`mkdir ${this.props.sitePath}/src/store`);
  await exec(
    `cp -rf ${this.installedPath}/stubs/next/redux/. ${this.props.sitePath}/src/store`
  );

  // add redux wrapper to app
  const appjs = `${this.props.sitePath}/src/pages/_app.js`;

  readFile(appjs, "utf-8", function (err, contents) {
    if (err) {
      throw err;
    }

    const lines = contents.split("\n");

    lines.splice(2, 0, "import { createWrapper } from 'next-redux-wrapper';");
    lines.splice(6, 0, "import store from '@store';");
    lines.splice(8, 0, "const wrapper = createWrapper(() => store);");

    const newContents = lines
      .join("\n")
      .replace("export default App;", "export default wrapper.withRedux(App);");

    // save..
    writeFile(appjs, newContents, "utf-8", function (err) {
      if (err) {
        throw err;
      }
      console.log("Added Redux wrapper to _app.js");
    });
  });
}

module.exports = {
  youWantReduxWithThat,
  addRedux,
};
