const util = require("util");
const exec = util.promisify(require("child_process").exec);

async function addStorybook() {
  this.addDependencies(
    [
      "@storybook/addon-a11y",
      "@storybook/addon-actions",
      "@storybook/addon-essentials",
      "@storybook/addon-postcss",
      "@storybook/addon-links",
      "@storybook/builder-webpack5",
      "@storybook/manager-webpack5",
      "@storybook/react",
      "@svgr/webpack",
      "storybook-addon-next",
      "storybook-addon-next-router",
    ],
    true
  );

  this.addDependencies(["@storybook/addon-docs"], false);

  await exec(
    `cp -rf ${this.installedPath}/stubs/next/.storybook ${this.props.sitePath}/.storybook`
  );

  await this.updatePackageDotJsonScripts({
    storybook: "start-storybook -p 6006",
    "build-storybook": "build-storybook",
  });
}

module.exports = addStorybook;
