const util = require("util");
const exec = util.promisify(require("child_process").exec);

async function addTestingLibrary() {
  this.addDependencies(
    [
      "@faker-js/faker",
      "@testing-library/jest-dom",
      "@testing-library/react",
      "@testing-library/user-event",
      "jest-environment-jsdom",
      "jest",
    ],
    true
  );

  await exec(
    `cp -rf ${this.installedPath}/stubs/next/jest.config.js ${this.props.sitePath}/jest.config.js`
  );

  await exec(
    `cp -rf ${this.installedPath}/stubs/next/jest.setup.js ${this.props.sitePath}/jest.setup.js`
  );

  await exec(
    `cp -rf ${this.installedPath}/stubs/next/mui/utils/testing.js ${this.props.sitePath}/src/utils/testing.js`
  );

  await this.updatePackageDotJsonScripts({
    test: "jest",
  });
}

module.exports = addTestingLibrary;
