const chalk = require('chalk');
//const log = console.log

const render = {
  render: console.log,
  arrow: function(output, bold = false) {
    const out = bold ? chalk.bold : chalk;
    this.render(out('➜ %s'), output);
  },
  header: function(output, bold = false) {
    const out = bold ? chalk.bold : chalk;
    this.render(out.blueBright('==========  %s  =========='), output);
  },
  success: function(output, bold = false) {
    const out = bold ? chalk.bold : chalk;
    this.render(out.greenBright('%s'), output);
  },
  error: function(output, bold = false) {
    const out = bold ? chalk.bold : chalk;
    this.render(out.red('%s'), output);
  },
  warning: function(output, bold = false) {
    const out = bold ? chalk.bold : chalk;
    this.render(out.yellowBright('%s'), output);
  },
  note: function(output, bold = false) {
    const out = bold ? chalk.bold : chalk;
    this.render(out.gray('%s'), output);
  },
};

module.exports = render;
