<?php

namespace Database\Seeders;

use CustomD\LaravelHelpers\Traits\SeedsPermissions;
use Illuminate\Database\Seeder;

class RolesPermissionsSeeder extends Seeder
{
    use SeedsPermissions;

    public array $roles = [
        'Developer',
        'Admin',
        'User',
    ];

    /**
     * Permissions that will be parsed by seedPermissions() in PermissionSeederTrait when called
     *
     * @var array
     */
    public array $permissions = [
        'users.viewAny' => ['Admin'],
        'users.view'    => ['Admin'],
        'users.update'  => ['Admin'],
        'users.delete'  => ['Admin'],
        'users.restore' => ['Admin'],
    ];
}
