<?php

use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Route;

Route::prefix('healthz')->name('healthz.')->group(
    function () {
        Route::get('liveness', fn () => 'ok');
        Route::get('readiness', function () {
            try {
                DB::connection()->getPdo();
                return 'ok';
            } catch (\Exception $exception) {
                return abort(503, "No database connection");
            }
        });
    }
);
