import React from 'react';
import {RouterContext} from 'next/dist/shared/lib/router-context';

import ThemeProvider from '../src/theme/ThemeProvider';

const withThemeProvider = (Story, context) => (
  <ThemeProvider>
    <Story
      // eslint-disable-next-line react/jsx-props-no-spreading
      {...context}
    />
  </ThemeProvider>
);

export const decorators = [withThemeProvider];

export const parameters = {
  nextRouter: {
    Provider: RouterContext.Provider,
  },
  actions: {argTypesRegex: '^on[A-Z].*'},
  controls: {
    matchers: {
      color: /(background|color)$/i,
      date: /Date$/,
    },
  },
};
