import React, {useState} from 'react';
import {Title, Description, Subtitle, Primary, ArgsTable, PRIMARY_STORY} from '@storybook/addon-docs';

import Button from '@mui/material/Button';
import Grid from '@mui/material/Grid';

import Example from './Example';

const Template = args => {
  const [open, setOpen] = useState(false);

  const toggleDialog = () => {
    setOpen(prev => !prev);
  };

  return (
    <div>
      <Button onClick={toggleDialog}>Open Dialog</Button>
      <Example
        // eslint-disable-next-line react/jsx-props-no-spreading
        {...args}
        open={open}
        onClose={toggleDialog}
      />
    </div>
  );
};

const Actions = () => (
  <>
    <Grid item>
      <Button variant="text" size="small">
        Cancel
      </Button>
    </Grid>
    <Grid item>
      <Button variant="contained" size="small">
        Action
      </Button>
    </Grid>
  </>
);

export const Default = Template.bind({});

Default.args = {
  title: 'this is a title',
  children:
    'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.',
  actions: <Actions />,
};

const story = {
  title: 'Example',
  component: Example,
  parameters: {
    docs: {
      page: () => (
        <>
          <Title />
          <Subtitle />
          <Description>Basic component example. Delete this and add your own.</Description>
          <Primary />
          <ArgsTable story={PRIMARY_STORY} />
        </>
      ),
    },
  },
};

export default story;
