import React from 'react';
import Head from 'next/head';
import {useRouter} from 'next/router';
import Typography from '@mui/material/Typography';
import Button from '@mui/material/Button';
import Grid from '@mui/material/Grid';
import Divider from '@mui/material/Divider';
import SearchOffIcon from '@mui/icons-material/SearchOff';
import KeyboardBackspaceIcon from '@mui/icons-material/KeyboardBackspace';

const NotFoundPage = () => {
  const router = useRouter();

  return (
    <>
      <Head>
        <title>404 | Not Found</title>
        <meta name="description" content="Sorry, we couldn't find what you were looking for." />
      </Head>
      <Grid container justifyContent="center" alignItems="center" flexDirection="column" sx={{height: '100vh'}}>
        <Grid item>
          <Grid container justifyContent="center" alignItems="center" gap={1} flexWrap="nowrap" sx={{px: 2}}>
            <Grid item>
              <SearchOffIcon />
            </Grid>
            <Divider orientation="vertical" flexItem />
            <Grid item>
              <Typography variant="subtitle1">Not Found</Typography>
            </Grid>
          </Grid>
        </Grid>
        <Grid item>
          <Button variant="outlined" startIcon={<KeyboardBackspaceIcon />} sx={{mt: 4}} onClick={() => router.back()} size="small">
            Back
          </Button>
        </Grid>
      </Grid>
    </>
  );
};
export default NotFoundPage;
