import {createTheme} from '@mui/material/styles';

import palette from './palette';
import typography from './typography';
import components from './components';
import mixins from './mixins';
import breakpoints from './breakpoints';

export {default as ThemeProvider, createEmotionCache} from './ThemeProvider';

const theme = createTheme({
  breakpoints,
  palette,
  typography,
  mixins,
  components,
});

export default theme;
