/* eslint-disable import/no-extraneous-dependencies */
import React from 'react';
import {render} from '@testing-library/react';

import ThemeProvider from '@theme/ThemeProvider';

function ProvidersWrapper({children}) {
  return <ThemeProvider>{children}</ThemeProvider>;
}

function renderWithProviders(component, options) {
  return render(component, {wrapper: ProvidersWrapper, ...options});
}

// re-export everything
export * from '@testing-library/react';

// override render method
export {renderWithProviders as render};
