/**
 * @see: https://github.com/vercel/next.js/blob/canary/packages/next/server/config-shared.ts#L137
 */

const generateRobotsTxt = require('./robots-txt');

const nextConfig = {
  reactStrictMode: true,
  compilerOptions: {
    baseUrl: './',
    jsx: 'react',
    paths: {
      '@components/*': ['src/components/*'],
      '@containers/*': ['src/containers/*'],
      '@theme': ['src/theme'],
      '@store': ['src/store'],
      '@utils/*': ['src/utils/*'],
      '@api': ['src/api'],
    },
  },
  exclude: ['node_modules'],
  webpack(config, {isServer}) {
    if (isServer) {
      generateRobotsTxt();
    }
    config.module.rules.push({
      test: /\.svg$/,
      use: ['@svgr/webpack'],
    });
    return config;
  },
};

module.exports = nextConfig;
